1. Credits
Highperformr API
  • Introduction
  • Contacts
    • Unified Data API - async contact enrichment
      POST
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get verified discovery contact filter schema
      GET
    • Get verified discovery company filter schema
      GET
    • Get options for field
      GET
    • Verified discovery autocomplete suggestions
      GET
    • Get discovery search options for field
      GET
    • Verified discovery static option lists
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
    • Find verified contacts
      POST
    • Find verified companies
      POST
  • Jobs
    • Get job status by id
      GET
  • Social publishing
    • Create draft post
    • List posts (drafts, scheduled, published)
    • Schedule or publish posts (bulk)
    • Schedule a LinkedIn comment on an external post
    • Configure cross-account auto-repost
    • Upload media file (multipart)
    • Assemble chunked uploads into one file
    • Import media from a public URL
  • Integrations (social)
    • List social integrations (filter)
  • Segments
    • Type-ahead search for segments
    • Create segment
    • Get segment by ID
    • Update segment
    • Delete segment
    • Clone segment
    • Filter segments
  • Sources
    • Bulk upsert sources
    • Bulk fetch sources
    • Bulk update sources
    • Create source
    • Pull contacts from source
    • Get source by ID
    • Update source
  • Credits
    • Get workspace credit balance
      GET
    • Get credit usage analytics
      GET
  • Templates
    • Filter templates
    • Create template
    • Get template by ID
    • Update template
    • Delete template
  • Outreach
    • List connected LinkedIn sending accounts
    • List LinkedIn outreach campaigns
    • List inbox messages (incremental replies)
Login
  1. Credits

Get credit usage analytics

GET
/credits/widgets
Returns credit usage for the requested analytics view (widgetType) and time range.
fromTimestamp and toTimestamp are optional. If omitted, the last 14 days are used.
The range cannot exceed 90 days.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200
application/json
Analytics for the requested view.
Bodyapplication/json

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/credits/widgets?widgetType=&fromTimestamp=&toTimestamp=&segmentId=' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - SUMMARY
{
    "widgetType": "SUMMARY",
    "fromTimestamp": "2026-09-01T00:00:00.000Z",
    "toTimestamp": "2026-09-07T23:59:59.999Z",
    "data": {
        "creditsPurchased": 5000,
        "purchasedTxnCount": 1,
        "creditsConsumed": 320,
        "consumedTxnCount": 18,
        "recordsBilled": 44,
        "dailyTrend": [
            {
                "date": "2026-09-01",
                "creditsPurchased": 0,
                "purchasedTxnCount": 0,
                "creditsConsumed": 40,
                "consumedTxnCount": 4,
                "recordsBilled": 12
            }
        ]
    }
}
Modified at 2026-10-07 08:33:47
Previous
Get workspace credit balance
Next
Filter templates
Built with